---
title: "stack"
description: "The stack command description and usage"
keywords: "stack"
---

# stack

```markdown
Usage:  docker stack [OPTIONS] COMMAND

Manage Docker stacks

Options:
      --help                  Print usage
      --kubeconfig string     Kubernetes config file
      --orchestrator string   Orchestrator to use (swarm|kubernetes|all)

Commands:
  deploy      Deploy a new stack or update an existing stack
  ls          List stacks
  ps          List the tasks in the stack
  rm          Remove one or more stacks
  services    List the services in the stack

Run 'docker stack COMMAND --help' for more information on a command.
```

## Description

Manage stacks.

